Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.pool
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.Statement
            |
            +--weblogic.jdbc.pool.Statement

Direct Known Subclasses:
  PreparedStatement

public class Statement
extends weblogic.jdbcbase.pool.Statement
implements java.sql.Statement

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.Statement
`cc, conn, key, stmt`

Constructor Summary
`Statement()`
`Statement(java.sql.Statement jstmt, weblogic.jdbc.common.internal.ConnectionEnv aCc, java.lang.String aKey, weblogic.jdbcbase.pool.Connection aConn)`

Method Summary
`void` | `addBatch(java.lang.String sql)`
`void` | `clearBatch()`
`int[]` | `executeBatch()`
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)`
`int` | `executeUpdate(java.lang.String sql)`
`java.sql.Connection` | `getConnection()`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`java.sql.ResultSet` | `getResultSet()`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetType()`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`

Methods inherited from class weblogic.jdbcbase.pool.Statement
`cancel, clearParameters, clearWarnings, close, execute, execute, executeUpdate, executeWriteText, executeWriteText, executeWriteText, executeWriteText, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getShort, getString, getTime, getTimestamp, getUpdateCount, getWarnings, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setQueryTimeout, setShort, setString, setTime, setTimestamp, setUnicodeStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement()

### Statement

    public Statement(java.sql.Statement jstmt,
                     weblogic.jdbc.common.internal.ConnectionEnv aCc,
                     java.lang.String aKey,
                     weblogic.jdbcbase.pool.Connection aConn)

  Parameters:
    `jstmt` - java.sql.Statement
    `aCc` - ConnectionEnv
    `aKey` - String
    `aConn` - weblogic.jdbcbase.pool.Connection

Method Detail

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Specified by:
    executeQuery in interface java.sql.Statement

  Parameters:
    `sql` - String
  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Specified by:
    executeUpdate in interface java.sql.Statement

  Parameters:
    `sql` - String
  Returns:
    int
  Throws:
    java.sql.SQLException - if there is an error

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  Specified by:
    getResultSet in interface java.sql.Statement

  Returns:
    java.sql.ResultSet
  Throws:
    java.sql.SQLException - if there is an error

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    setFetchDirection in interface java.sql.Statement

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    getFetchDirection in interface java.sql.Statement

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    setFetchSize in interface java.sql.Statement

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    getFetchSize in interface java.sql.Statement

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws java.sql.SQLException

  Specified by:
    getResultSetConcurrency in interface java.sql.Statement

### getResultSetType

    public int getResultSetType()
                         throws java.sql.SQLException

  Specified by:
    getResultSetType in interface java.sql.Statement

### addBatch

    public void addBatch(java.lang.String sql)
                  throws java.sql.SQLException

  Specified by:
    addBatch in interface java.sql.Statement

### clearBatch

    public void clearBatch()
                    throws java.sql.SQLException

  Specified by:
    clearBatch in interface java.sql.Statement

### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

  Specified by:
    executeBatch in interface java.sql.Statement

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    getConnection in interface java.sql.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD